Scriptname SPO_StartScript extends Quest  

Perk Property DwarvenSmithing auto
Perk Property ElvenSmithing auto
Perk Property AdvancedArmors auto
Perk Property GlassSmithing auto
Perk Property OrcishSmithing auto
Perk Property EbonySmithing auto
Perk Property DaedricSmithing auto
Perk Property DragonArmor auto
GlobalVariable Property SPO_DisablePerk auto

Event OnInit()
	SPO_DisablePerk.SetValue(1)
	Actor Player = Game.GetPlayer() 
	int PerksToAdd = 0
	if Player.HasPerk(DwarvenSmithing)
		Player.RemovePerk(DwarvenSmithing)
		PerksToAdd = PerksToAdd + 1
	endif
	if Player.HasPerk(ElvenSmithing)
		Player.RemovePerk(ElvenSmithing)
		PerksToAdd = PerksToAdd + 1
	endif
	if Player.HasPerk(AdvancedArmors)
		Player.RemovePerk(AdvancedArmors)
		PerksToAdd = PerksToAdd + 1
	endif
	if Player.HasPerk(GlassSmithing)
		Player.RemovePerk(GlassSmithing)
		PerksToAdd = PerksToAdd + 1
	endif
	if Player.HasPerk(OrcishSmithing)
		Player.RemovePerk(OrcishSmithing)
		PerksToAdd = PerksToAdd + 1
	endif
	if Player.HasPerk(EbonySmithing)
		Player.RemovePerk(EbonySmithing)
		PerksToAdd = PerksToAdd + 1
	endif
	if Player.HasPerk(DaedricSmithing)
		Player.RemovePerk(DaedricSmithing)
		PerksToAdd = PerksToAdd + 1
	endif
	if Player.HasPerk(DragonArmor)
		Player.RemovePerk(DragonArmor)
		PerksToAdd = PerksToAdd + 1
	endif
	Game.AddPerkPoints(PerksToAdd)

EndEvent